require_relative 'methods/required_files'
Then /^All records in download file "(.*)" must be included in expected file "(.*)"$/ do |dl_file, expected_file|
  # Read downloaded file and expected file
  actual_file_path = ($_CFWEB['Download Dir'] + dl_file)
  expected_file_path= ($_CFWEB['Expected Data Dir'] + expected_file)
  if File.exist?(actual_file_path) && File.exist?(expected_file_path)
    actual_lines = CSV.read($_CFWEB['Download Dir'] + dl_file)
    expected_lines = CSV.read($_CFWEB['Expected Data Dir'] + expected_file)
    # Assert 2 CSV files
    IFD_Assertion.do_assertion_csv_tab_non_order(expected_lines, actual_lines)
  else
    raise "*** ERROR: Please check #{expected_file} or #{expected_file_path} exists."
  end

end

Then /^I run exe file "(.*)" on windows$/ do |filename|
  if File.exist?(filename)
    system("'"+filename+"'")
  else
    raise "*** ERROR: Please check Actual File or Expected file exists."
  end
end

# Delete downloaded file
Then /^I delete previous downloaded (tab|csv) files of "(.*)"$/ do |extension, file_prefix|
  #Check file whose name include file_prefix in downloaded folder
  Dir.open($_CFWEB['Download Dir']).each do |filename|
    #Delete if file exists
    if filename.include? file_prefix then
      File.delete($_CFWEB['Download Dir']+filename)
    end
  end
end

#Delete file from $test_data_dir folder
Then /^I delete file "(.*)" on Data folder/ do |file_name|
    file = ($test_data_dir + file_name)
    if File.exists?(file)
      File.delete(file)
      puts "#{file_name} is deleted successfully"
    else
      puts "#{file_name} does not exists"
    end
end
