# require_relative 'methods/javascript_handling_methods'
require_relative 'methods/required_files'

Then(/^I accept pop-up alert$/) do
  handle_alert('accept')
end

Then(/^I dismiss pop-up alert$/) do
  handle_alert('dismiss')
end

And /^I focus in new open page$/ do
  switch_to_windows(last)
end

And /^I focus in previous page$/ do
  switch_to_windows(first)
end

And /^I close current windows$/ do
  close_windows
end

Given /^I go back to the previous page$/ do
  get_browser_back
end

When /^I refresh this page$/ do
  refresh_page
end

And /^I open new browser windows$/ do
  open_new_windows_browser
end