$_RP_OBJECT = {}

#Print script log to console
def put_log str
  puts str if $_CFWEB['Print Log'] == true
end

#Call another step
def call_step str_step
  put_log "\n-=> call step: #{str_step}"
  step %{#{str_step}}
end

# Find object by Xpath
def find_object string_object
  startTime = Time.new.to_i
  string_object = string_object.gsub(/"/, "'")
  # puts "String_object: #{string_object}"
  locator_matching = /(.*?)(\{.*?\})/.match(string_object)
  # puts "locator_matching : #{locator_matching}"
  dyn_pros = {}
  if locator_matching != nil
    string_object = locator_matching[1]
    eval(locator_matching[2].gsub(/['][\s,\t]*?:[\s,\t]*?[']?/, "'=>'")).each { |k, v|
      dyn_pros[k.to_s.upcase] = v
    }
  end

  # put_log "\n---dyn_pros: #{dyn_pros}"
  hash_object = $_RP_OBJECT[string_object]
  if hash_object == nil
    put_log ">>> OBJECT NAME MAYBE NOT FOUND!!!"
    # true.should eq false
    expect(true).to eq(false)
  end
  upcase_attrb = {}
  if hash_object != nil
    hash_object.each { |k, v|
      k = k.to_s.upcase
      # put_log "\n#{k} =~ /ph_/i and dyn_pros[#{k}]: #{k =~ /ph_/i and dyn_pros[k] != nil}"
      if k =~ /ph_/i
        if dyn_pros[k] != nil
          # Assign place holder value to place holder property, also remove prefix ph_ from property key,
          # also remove this pl from dyn_pros <= should be consider to continue transfer into inner object in relation
          if v =~ /<ph_value>/i
            upcase_attrb[k[3..k.size-1]] = v.gsub(/<ph_value>/i, dyn_pros[k])
          else
            upcase_attrb[k[3..k.size-1]] = dyn_pros[k]
          end

          dyn_pros.delete(k)
        end
      else
        upcase_attrb[k.to_s.upcase] = v
      end

    }
  end
  if upcase_attrb.size > 0
    strId = ""
    strClass = ""
    strName = ""
    strTagname = ""
    strXpathSelector = ""
    strText = ""

    index = nil
    upcase_attrb.each { |key, value|
      upcase_key = key.to_s.upcase
      if upcase_key == "XPATH_SELECTOR"
        strXpathSelector = value
      end
    }
    continue_run = true;

    if continue_run == true
      begin
        if strXpathSelector != nil and strXpathSelector.length > 0
          foundElements = get_objects_by_XpathSelector(strXpathSelector)
        else
          #Generate Selector
          strGenerateXpathSel = ""
          strGenerateXpathSel = generate_xpath_selector(strId, strClass, strName, strTagname)
          if strGenerateXpathSel.length > 0
            foundElements = get_objects_by_XpathSelector(strGenerateXpathSel)
          end
        end

        if foundElements == nil or foundElements.length == 0
          currentTime = Time.new.to_i
        else
          # put_log "\nBREAK!!!"
          break
        end
        test = currentTime - startTime
        # put_log "\n#TIMEOUNT:#{test} < #{$_CFWEB['Wait Time']}"
        sleep(0.5)
      end while (currentTime - startTime) < $_CFWEB['Wait Time']

      if foundElements != nil or foundElements.length != 0
        if index != nil and index.to_i >= 0
          matched_index = 0;
          return_element = nil
          foundElements.each { |cur_element|
            passCheck = find_object_check_object(cur_element, strId, strText)
            if passCheck
              if matched_index == index.to_i
                return_element = cur_element
                break
              else
                matched_index = matched_index + 1
              end
            end
          }
          return return_element
        else
          return_element = nil
          foundElements.each { |cur_element|
            passCheck = find_object_check_object(cur_element, strId, strText)
            if passCheck
              return_element = cur_element
              break
            end
          }
          return return_element
        end # if index != nil and index.to_i >= 0
      end #if foundElements != nil or foundElements.length != 0
    end #if continue = true
  end

  return nil
end

#Generate Xpath Selector
def generate_xpath_selector(strId, strClass, strName, strTagname)
  strGenerateXpathSel = ""
  if strId != nil and strId.length > 0 and (strId =~ /^#/) == nil
    strGenerateXpathSel = "[@id='#{strId}']"
  end
  if strClass != nil and strClass.length > 0 and (strClass =~ /^#/) == nil
    strGenerateXpathSel = "#{strGenerateXpathSel}[@class='#{strClass}']"
  end
  if strName != nil and strName.length > 0 and (strName =~ /^#/) == nil
    strGenerateXpathSel = "#{strGenerateXpathSel}[@name='#{strName}']"
  end

  if strGenerateXpathSel.length > 0
    if strTagname != nil and strTagname.length > 0
      strGenerateXpathSel = "//#{strTagname}#{strGenerateXpathSel}"
    else
      strGenerateXpathSel = "//*#{strGenerateXpathSel}"
    end
  end

  return strGenerateXpathSel
end

#Get object by XpathSelector
def get_objects_by_XpathSelector(strXpathSelector)
  # put_log "\nstrXpathSelector: #{strXpathSelector}"
  foundElements = nil
  begin
    foundElements = page.all(:xpath, strXpathSelector)
  rescue StandardError => myStandardError
    put_log "\n>>> Error: #{myStandardError}"
  end

  return foundElements
end

#Find/Check the object by ID and Text
def find_object_check_object cur_element, strId, strText
  passCheck = true
  if cur_element != nil

    # Check ID
    if strId != nil and strId.length > 0
      if strId =~ /^#/
        strId = strId[1..-1]
      end
    end

    # Check Text
    if passCheck and strText != nil and strText.length > 0
      if (strText =~ /^#/)
        strText = strText[1..-1]
      end
    end
    return passCheck
  end

  return false
end

# Check object property
def execute_checkproperty element, property, negate, value, isSpecialChar=false
  Capybara.configure do |config|
    config.ignore_hidden_elements = false
  end
  foundElement = find_object(element)

  check = false
  if foundElement == nil and value == ""
    check = true
    # check.should eq true
    expect(check).to eq true
  else
    put_log "\n\n\t>>> execute_checkproperty: finish to found element"
    if foundElement != nil
      if property.upcase == 'VALUE'
        actual_value = foundElement.value()

      elsif property.upcase == 'TEXT'
        actual_value = foundElement.text()

      elsif property.upcase == 'SPECIAL CHAR'
        actual_value = foundElement.text()
        isSpecialChar = true

      elsif property.upcase == 'TAGNAME'
        actual_value = foundElement.tag_name()

      elsif property.upcase == 'STYLE'
        actual_value = foundElement[:style]

      elsif property.upcase == 'DISABLED'
        actual_value = foundElement[:disabled]

      elsif property.upcase == 'WIDTH'
        actual_value = foundElement[:width]

      elsif property.upcase == 'HEIGHT'
        actual_value = foundElement[:height]

      elsif property.upcase == 'ID'
        actual_value = foundElement[:id]

      elsif property.upcase == 'NAME'
        actual_value = foundElement[:name]

      elsif property.upcase == 'CLASS'
        actual_value = foundElement[:class]

      elsif property.upcase == 'HREF'
        actual_value = foundElement[:href]

      elsif property.upcase == 'TITLE'
        actual_value = foundElement[:title]

      elsif property.upcase == 'TYPE'
        actual_value = foundElement[:type]

      elsif property.upcase == 'CHECKED'
        actual_value = "true" if foundElement.checked? == true
        actual_value = "false" if foundElement.checked? == false
      else
        actual_value = foundElement["#{property}"]
      end

      if actual_value == nil
        actual_value = ''
      end
    else
      put_log "\nError >> Not found object: #{element}"
    end

    Capybara.configure do |config|
      config.ignore_hidden_elements = true
    end

    if IFD_Assertion.reg_compare(actual_value, value, isSpecialChar)
      check = true
    end

    put_log "\n#{property} :: Actual result is '#{actual_value}' -- Expected result is '#{value}'"

    if negate == " not"
      # check.should_not eq true
      expect(check).not_to eql true
    elsif
      # check.should eq true
    expect(check).to eq true
    end
  end
end

# Get text from web element
def execute_gettext element
  foundElement = find_object(element)
  if foundElement != nil
    tagname = foundElement.tag_name()

    if tagname.upcase == 'SELECT'
      #@text = page.evaluate_script("$(\"##{foundElement[:id]}\").text()")
    else
      actual_text = foundElement.text()
      if (actual_text == nil or actual_text.length == 0) and (tagname.upcase == 'INPUT' or tagname.upcase == 'TEXTAREA')
        actual_text = foundElement.value()
      end
    end

    put_log "\nText is '" + actual_text + "' of object '" + element + "'"
    $context_value = actual_text
  else
    put_log "\nError >> Not found object: #{element}"
    exit
  end
end

def read_file(filename)
  data = ''
  f = File.open(filename, "r")
  f.each_line do |line|
    data += line
  end
  return data.strip;
end

def set_time_out(timeout)
  $_CFWEB['Wait Time'] = timeout
  Capybara.default_wait_time = $_CFWEB['Wait Time']
end

# method to get attribute value
# param 1 : String : Locator type (id, name, class, xpath, css)
# param 2 : String : Expected element text
# param 3 : String : atrribute name
def get_element_attribute(access_type, access_name, attribute_name)
  $driver.find_element(:"#{access_type}" => "#{access_name}").attribute("#{attribute_name}")
end

#Get data from the 'testdata file'. if not valid, then testdataid is passed back
def getTestData(testdataid)
  begin
    sTestDataidArr = testdataid.downcase.split('.')
    testdata = $testdata[sTestDataidArr.first][sTestDataidArr.last]
    puts (testdata)
    return testdata
  rescue Exception
    return testdataid
  end
end