class DB_Utils
  def self.sql_value_format(value)
    if value.nil?
      return 'null'
    else
      value = value.gsub("'","''") if value.kind_of? String
      return "'#{value}'"
    end
  end

  def self.sql_value_format_prefix_wildcard(value)
    if value.nil?
      return 'null'
    else
      value = value.gsub("'","''") if value.kind_of? String
      return "'#{value}%'"
    end
  end

  def self.sql_value_format_suffix_wildcard(value)
    if value.nil?
      return 'null'
    else
      value = value.gsub("'","''") if value.kind_of? String
      return "'%#{value}'"
    end
  end

  def self.sql_value_format_wildcard(value)
    if value.nil?
      return 'null'
    else
      value = value.gsub("'","''") if value.kind_of? String
      return "'%#{value}%'"
    end
  end
end