require_relative 'required_files'

def handle_alert(decision)
  if decision == 'accept'
    page.driver.browser.switch_to.alert.accept
  else
   	page.driver.browser.switch_to.alert.dismiss
  end
end

def switch_to_windows(decision)
  if decision == 'last'
    page.driver.browser.switch_to.window(page.driver.browser.window_handles.last)
  else
    page.driver.browser.switch_to.window(page.driver.browser.window_handles.first)
  end
end

def close_windows
  page.driver.browser.close
  page.driver.browser.switch_to.window(page.driver.browser.window_handles[0])
end

def get_browser_back
  page.evaluate_script('window.history.back()')
end

def refresh_page
  visit page.driver.browser.current_url
end

def open_new_windows_browser
  page.driver.execute_script("window.open()")
end

# method to get javascript pop-up alert text
def get_alert_text
  page.driver.browser.switch_to.alert.text
end

# method to check javascript pop-up alert text
def check_alert_text(text)
  if get_alert_text != text
    raise TestCaseFailed,  "Text on alert pop up not matched, Actual Text : #{get_alert_text}, Expected Text : #{text}"
  end
end