require 'rest-client'
class WebServiceMethods

  def self.get_response_code(url, timeout)
    response = HTTParty.get url, {timeout => timeout}
    return response.code
  end

  def self.url_reach? (url, timeout)
    response_code = get_response_code(url, timeout)
    if response_code/10 ==2
      return true
    else
      return false
    end
  end

  def self.send_put_request(url, data)
    begin
      response = HTTParty.put url, {:body => data, :timeout => 180000}
      return response
    rescue => e
      raise "*** ERROR: when sending put request to '#{url}'. Info: \n\n #{e.message}"
    end
  end

  def self.send_post_request(url, data)
    begin
      puts "*** #{'WebServiceMethods.send_post_request.url'.ljust(47,' ')}: #{url}"
      puts "WebServiceMethods.send_post_request.data: #{data}"
      response = HTTParty.post url, {:body => data, :timeout => 180000}
      return response
    rescue => e
      raise "*** ERROR: when sending put request to '#{url}'. Info: \n\n #{e.message}"
    end
  end

  def self.send_XML_post_request(url, data)
    begin
      # puts "*** #{'WebServiceMethods.send_post_request.url'.ljust(47,' ')}: #{url}"
      # puts "WebServiceMethods.send_post_request.data: #{data}"
      response = RestClient.post url, data, :content_type => "text/xml", :timeout => 180000
      return response
    rescue => e
      raise "*** ERROR: when sending put request to '#{url}'. Info: \n\n #{e.message}"
    end
  end

  def self.send_get_request(url)
    begin
      response = HTTParty.get url, timeout: 180000
      return response
    rescue => e
      raise "*** ERROR: when sending get request to '#{url}'. Info: \n\n #{e.message}"
    end
  end

  def self.verify_response(reponse)
    if response.code/100 != 2
      raise "*** ERROR: when processing the request. More info: \n\n #{response.body.to_s}"
    end
  end
end